# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free

Name:           nailgun
Summary:        Nailgun environment
Url:            http://martiansoftware.com/nailgun/index.html
Version:        0.7.1
Release:        1%{?dist}
Epoch:          0
License:        ASL 2.0
Group:          Development/Java
Source0:        http://sourceforge.net/projects/nailgun/files/nailgun/0.7.1/nailgun-src-0.7.1.zip

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant17 >= 0:1.7
BuildRequires:  ant17-junit
BuildRequires:  ant17-trax
BuildRequires:  bcel
BuildRequires:  gnu-getopt
BuildRequires:  jakarta-oro
BuildRequires:  jcoverage
BuildRequires:  junit
BuildRequires:  log4j

Requires:  java >= 0:1.6.0
Requires:  bcel
Requires:  gnu-getopt
Requires:  jakarta-oro
Requires:  log4j

Requires(post):    jpackage-utils >= 0:1.7.5
Requires(postun):  jpackage-utils >= 0:1.7.5

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
NailGun is a client, protocol, and server for running Java 
programs from the command line without incurring the JVM 
startup overhead. Programs run in the server (implemented 
in java), triggered by the client (written in C), which 
handles all I/O.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{version}
chmod -R go=u-w *
for f in $(find . -name "*.jar"); do
  mv $f $f.no
done
pushd tools/lib
ln -sf $(build-classpath bcel) bcel-5.1.jar
ln -sf $(build-classpath jakarta-oro) jakarta-oro-2.0.8.jar
ln -sf $(build-classpath gnu-getopt) java-getopt-1.0.10.jar
ln -sf $(build-classpath jcoverage)
ln -sf $(build-classpath junit)
ln -sf $(build-classpath log4j) log4j-1.2.8.jar
popd

%build
export OPT_JAR_LIST="jcoverage bcel log4j oro ant17/ant17-trax ant17/ant17-junit junit gnu-getopt"
ant17

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
#install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

%add_to_maven_depmap org.jruby.ext.posix %{name} %{version} JPP %{name}
#install -m 644 pom.xml \
#   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
install -m 644 dist/%{name}-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%{_javadir}/*.jar
#%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Sun Sep 26 2010 Ralph Apel <r.apel at r-apel.de> 0:1.0.1-1
- 1.0.1

* Mon Jun 30 2008 Ralph Apel <r.apel at r-apel.de> 0:0.6-2.jpp5
- Import

* Fri May 30 2008 Ralph Apel <r.apel at r-apel.de> 0:0.6-1jpp
- First release
